<script lang="ts">
import Vue from 'vue';
import { toKebabCaseMixin } from '../../mixins';
export default Vue.extend({
  name: 'FeaturedAddOnsCardTier',
  mixins: [toKebabCaseMixin],
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <div :class="`addon-tier ${data.data.background_gradient ? 'gradient' : ''}`">
    <div v-if="data.data.pill" class="addon-tier__pill-wrapper">
      <div class="addon-tier__pill">
        <nuxt-img
          width="15"
          height="16"
          src="/nuxt-images/pricing/single-particle.svg"
          alt=""
          format="webp"
          quality="99"
        />

        <SlpTypography variant="body2-bold" tag="span">
          {{ data.data.pill }}
        </SlpTypography>
      </div>
    </div>
    <h3
      :id="
        data.data.subtitle
          ? anchorID(data.data.subtitle)
          : anchorID(data.data.title)
      "
      class="slp-mb-16"
    >
      <a
        v-if="!data.data.subtitle"
        :class="`header-anchor ${
          data.data.background_gradient ? 'header-anchor--on-dark' : ''
        }`"
        :href="`#${anchorID(data.data.title)}`"
        aria-hidden="true"
        ><svg
          width="16"
          height="16"
          viewBox="0 0 16 16"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path
            d="M12.2426 3.75736C11.4615 2.97631 10.1952 2.97631 9.41416 3.75736L7.99995 5.17157C7.60942 5.56209 6.97626 5.56209 6.58573 5.17157C6.19521 4.78105 6.19521 4.14788 6.58573 3.75736L7.99995 2.34314C9.56205 0.781046 12.0947 0.781046 13.6568 2.34314C15.2189 3.90524 15.2189 6.4379 13.6568 8L12.2426 9.41421C11.8521 9.80473 11.2189 9.80473 10.8284 9.41421C10.4379 9.02369 10.4379 8.39052 10.8284 8L12.2426 6.58578C13.0236 5.80473 13.0236 4.5384 12.2426 3.75736Z"
            fill="#333333"
          ></path>
          <path
            d="M10.5355 5.4645C10.926 5.85502 10.926 6.48819 10.5355 6.87871L6.87863 10.5356C6.4881 10.9261 5.85494 10.9261 5.46441 10.5356C5.07389 10.145 5.07389 9.51188 5.46441 9.12135L9.12127 5.4645C9.51179 5.07397 10.145 5.07397 10.5355 5.4645Z"
            fill="#333333"
          ></path>
          <path
            d="M3.75742 9.41422C2.97637 10.1953 2.97637 11.4616 3.75742 12.2426C4.53847 13.0237 5.8048 13.0237 6.58584 12.2426L8.00006 10.8284C8.39058 10.4379 9.02375 10.4379 9.41427 10.8284C9.8048 11.219 9.8048 11.8521 9.41427 12.2426L8.00006 13.6569C6.43796 15.219 3.9053 15.219 2.3432 13.6569C0.781107 12.0948 0.781107 9.56211 2.3432 8.00001L3.75742 6.5858C4.14794 6.19527 4.78111 6.19527 5.17163 6.5858C5.56216 6.97632 5.56215 7.60948 5.17163 8.00001L3.75742 9.41422Z"
            fill="#333333"
          ></path></svg
      ></a>
      <SlpTypography
        :id="data.data.subtitle ? '' : anchorID(data.data.title)"
        variant="heading5-bold"
        tag="div"
        >{{ data.data.title }}
      </SlpTypography>
      <SlpTypography variant="heading2-bold" tag="div"
        >{{ data.data.subtitle }}
        <a
          :class="`header-anchor ${
            data.data.background_gradient ? 'header-anchor--on-dark' : ''
          }`"
          :href="`#${anchorID(data.data.subtitle)}`"
          aria-hidden="true"
          ><svg
            width="16"
            height="16"
            viewBox="0 0 16 16"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              d="M12.2426 3.75736C11.4615 2.97631 10.1952 2.97631 9.41416 3.75736L7.99995 5.17157C7.60942 5.56209 6.97626 5.56209 6.58573 5.17157C6.19521 4.78105 6.19521 4.14788 6.58573 3.75736L7.99995 2.34314C9.56205 0.781046 12.0947 0.781046 13.6568 2.34314C15.2189 3.90524 15.2189 6.4379 13.6568 8L12.2426 9.41421C11.8521 9.80473 11.2189 9.80473 10.8284 9.41421C10.4379 9.02369 10.4379 8.39052 10.8284 8L12.2426 6.58578C13.0236 5.80473 13.0236 4.5384 12.2426 3.75736Z"
              fill="#333333"
            ></path>
            <path
              d="M10.5355 5.4645C10.926 5.85502 10.926 6.48819 10.5355 6.87871L6.87863 10.5356C6.4881 10.9261 5.85494 10.9261 5.46441 10.5356C5.07389 10.145 5.07389 9.51188 5.46441 9.12135L9.12127 5.4645C9.51179 5.07397 10.145 5.07397 10.5355 5.4645Z"
              fill="#333333"
            ></path>
            <path
              d="M3.75742 9.41422C2.97637 10.1953 2.97637 11.4616 3.75742 12.2426C4.53847 13.0237 5.8048 13.0237 6.58584 12.2426L8.00006 10.8284C8.39058 10.4379 9.02375 10.4379 9.41427 10.8284C9.8048 11.219 9.8048 11.8521 9.41427 12.2426L8.00006 13.6569C6.43796 15.219 3.9053 15.219 2.3432 13.6569C0.781107 12.0948 0.781107 9.56211 2.3432 8.00001L3.75742 6.5858C4.14794 6.19527 4.78111 6.19527 5.17163 6.5858C5.56216 6.97632 5.56215 7.60948 5.17163 8.00001L3.75742 9.41422Z"
              fill="#333333"
            ></path></svg
        ></a>
      </SlpTypography>
    </h3>
    <SlpTypography variant="body2-bold" tag="p" class="slp-mb-16">{{
      data.data.cardDescription
    }}</SlpTypography>
    <div class="addon-tier__price">
      <SlpTypography tag="p" variant="heading2-bold"
        >${{ data.data.price }}</SlpTypography
      >
      <div
        :class="`addon-tier__price--details ${
          data.data.background_gradient && 'gradient'
        }`"
      >
        <SlpTypography variant="body2-bold" tag="div"
          >{{ data.data.price_info }}
        </SlpTypography>
        <SlpTypography variant="body2-bold" tag="div"
          >{{ data.data.description }}
        </SlpTypography>
      </div>
    </div>
    <div class="addon-tier__buttons">
      <SlpButton
        v-if="data.data.primaryButton"
        :disabled="data.data.primaryButton.disabled"
        variant="primary"
        class="primary-button slp-mb-16"
        :href="data.data.primaryButton.url"
        :data-ga-name="data.data.primaryButton.data_ga_name"
        :data-ga-location="data.data.primaryButton.data_ga_location"
      >
        {{ data.data.primaryButton.text }}
      </SlpButton>
      <SlpButton
        v-if="data.data.secondaryButton"
        variant="tertiary"
        class="secondary-button slp-mb-24"
        :href="data.data.secondaryButton.url"
        :data-ga-name="data.data.secondaryButton.data_ga_name"
        :data-ga-location="data.data.secondaryButton.data_ga_location"
      >
        {{ data.data.secondaryButton.text }}

        <SlpIcon
          class="learn-more__icon"
          name="chevron-lg-right"
          variant="product"
          alt="Chevron Right Icon"
        />
      </SlpButton>
      <div v-else class="spacer" />
    </div>
    <div>
      <SlpTypography variant="body2" tag="span">
        <div
          class="addon-tier__features"
          v-html="$md.render(data.data.features.list[0].text)"
        />
      </SlpTypography>
    </div>
    <div
      v-if="data.data.card_note"
      class="addon-tier__footnotes"
      v-html="$md.render(data.data.card_note)"
    ></div>
  </div>
</template>

<style lang="scss" scoped>
.addon-tier {
  height: 100%;
  padding: 48px;
  border-radius: 8px;
  background: $color-surface-50;

  .spacer {
    margin-bottom: 85px;
  }

  &.gradient {
    color: $color-text-50;
    background: linear-gradient(349.63deg, #291d42 4.85%, #3c2c31 95.5%);
    border-radius: 8px 8px 100px 8px;

    .addon-tier__footnotes {
      color: $color-surface-300;
    }
  }

  &__pill-wrapper {
    margin-bottom: 16px;
    position: relative;
    padding: 4px 12px;
    display: inline-block;

    &::before {
      content: '';
      position: absolute;
      inset: 0;
      border-radius: 20px;
      border: 1.5px solid transparent;
      background: linear-gradient(
          89.09deg,
          #e1986d -1.12%,
          #7759c2 102.06%,
          #6e43d3 102.07%
        )
        border-box;
      -webkit-mask:
        linear-gradient(#fff 0 0) padding-box,
        linear-gradient(#fff 0 0);
      -webkit-mask-composite: xor;
      mask-composite: exclude;
    }
  }

  &__pill {
    img {
      position: absolute;
      top: 8px;
    }

    span {
      padding-left: 20px;
    }
  }

  &__price {
    display: flex;
    align-items: center;
    gap: 24px;
    margin-bottom: 16px;

    &--details {
      display: flex;
      flex-direction: column;
      word-break: break-word;

      &:not(.gradient) {
        color: $color-text-link-100;
      }
    }
  }

  &__buttons {
    .primary-button {
      padding: 12px 48px;
    }
  }

  &__features {
    margin-bottom: 32px;

    &:deep {
      p {
        margin: 16px 0;
      }

      strong {
        font-weight: $font-weight-bold;
      }

      ul li {
        position: relative;
        padding-left: 24px;
        margin-bottom: 16px;
      }

      ul li::before {
        content: '';
        position: absolute;
        left: 0px;
        top: 8px;
        width: 12px;
        height: 10px;
        background: url('/nuxt-images/pricing/purple-check.svg');
        background-repeat: no-repeat;
        background-size: contain;
      }
    }
  }

  &__footnotes {
    font-size: $text-body-3;
    line-height: $line-height-body-3;
    margin-top: 16px;
    color: $color-surface-500;
    font-style: italic;

    &:deep {
      p {
        margin-bottom: 16px;
      }
    }
  }
}
</style>
